Re: gcc showing 11.23 Instead of 11.31 (750 Views)
Reply
Valued Contributor
Prashantj
Posts: 136
Registered: ‎03-19-2008
Message 1 of 12 (750 Views)

gcc showing 11.23 Instead of 11.31

Hi,

Our server os is HPUX 11.31. But "gcc -v" showing 11.23 why ?

#gcc -v
Using built-in specs.
Target: ia64-hp-hpux11.23
Configured with: /tmp/gcc-4.4.3.tar.gz/gcc-4.4.3/configure --host=ia64-hp-hpux11.23 --target=ia64-hp-hpux11.23 --build=ia64-hp-hpux11.23 --prefix=/opt/hp-gcc-4.4.3 --with-gnu-as --without-gnu-ld --enable-threads=posix --enable-languages=c,c++ --with-gmp=/proj/opensrc/be/ia64-hp-hpux11.23 --with-mpfr=/proj/opensrc/be/ia64-hp-hpux11.23 SED=/usr/bin/sed
Thread model: posix
gcc version 4.4.3 (GCC)


Prashant
Good judgment comes from experience and experience comes from bad judgment.
Please use plain text.
Honored Contributor
Shibin_2
Posts: 711
Registered: ‎11-11-2005
Message 2 of 12 (750 Views)

Re: gcc showing 11.23 Instead of 11.31

I think,you are not using correct version.

Please compare / download from the following location.

http://www.hp.com/go/gcc

or

http://hpux.connect.org.uk/hppd/cgi-bin/search?package=on&description=on&term=gcc
Regards
Shibin
Please use plain text.
Honored Contributor
Steven Schweda
Posts: 9,084
Registered: ‎02-23-2005
Message 3 of 12 (750 Views)

Re: gcc showing 11.23 Instead of 11.31

> [...] why ?

Perhaps someone installed a GCC kit which was
built on an HP-UX 11.23 system. This would
have made sense if it was done when this
system was running HP-UX 11.23. A later OS
upgrade to HP-UX 11.31 would not have updated
the GCC installation.

Because an OS upgrade can provide new system
header files, it's usually a good idea to
re-build and/or re-install GCC after an OS
upgrade.
Please use plain text.
Valued Contributor
Prashantj
Posts: 136
Registered: ‎03-19-2008
Message 4 of 12 (750 Views)

Re: gcc showing 11.23 Instead of 11.31

Hi,

Thanks to both for your reply.

I have installed httpd-2.0.64.tar.gz from www.apache.org site for SAP-DMS installation. SAP not recommanded inbuilt apache server. i extract the above file and and use make command.( Intallation unsucessful )

Please guide me how to slove my gcc problem.
with patch of gcc for 11.31 or install the new related apache file.

Prashant
Good judgment comes from experience and experience comes from bad judgment.
Please use plain text.
Honored Contributor
Shibin_2
Posts: 711
Registered: ‎11-11-2005
Message 5 of 12 (750 Views)

Re: gcc showing 11.23 Instead of 11.31

I don't think any GCC patches for HP-UX available. You can install a fresh one from the following link.

http://www.hp.com/go/gcc

For HP-UX Apache, download from here.

http://www.hp.com/products1/unix/webservers/apache/downloads/

or

http://www.hp.com/products1/unix/webservers/index.html
Regards
Shibin
Please use plain text.
Honored Contributor
Steven Schweda
Posts: 9,084
Registered: ‎02-23-2005
Message 6 of 12 (750 Views)

Re: gcc showing 11.23 Instead of 11.31

> [...] ( Intallation unsucessful )
>
> Please guide me how to slove my gcc problem.

With my weak psychic powers, I can't see any
error messages from this unsuccessful
installation, so I have no idea what "my gcc
problem" might be.

If your only complaint about GCC is that old
HP-UX version, then you should probably
install a new GCC kit (one which was built
for your HP-UX version). With no
information, it's hard to say if that will
actually help with your "In[s]tallation
unsuc[c]essful" problem.

> SAP not recommanded inbuilt apache server

What, exactly, was the advice from SAP about
Apache? Building Apache from a source kit
may be more difficult than you think it is,
and it seems unlikely that you would really
need to do it.
Please use plain text.
Honored Contributor
Emil Velez
Posts: 1,450
Registered: ‎05-17-2000
Message 7 of 12 (750 Views)

Re: gcc showing 11.23 Instead of 11.31

I am pretty sure that apache and gcc are available from software.hp.com and are precompiled.
1. system could have been upgraded from 11.23
2. somebody installed gcc from 11.23 version of the bundle


Suggest getting latest internet express bundle.

Please use plain text.
Frequent Advisor
Andre-Marcel Hellmund
Posts: 27
Registered: ‎03-16-2009
Message 8 of 12 (750 Views)

Re: gcc showing 11.23 Instead of 11.31

Hey Prashanti,

I think that you can ignore this discrepancy between the OS version displayed by 'uname' and the output gcc -v. The gcc -v output just prints out the options used to configure gcc at _build_ time. The configure options show that gcc was configured/built for HP-UX 11.23 on Itanium. But this shouldn't be a problem for you (unless you're on PA-RISC :-)), because all software built on HP-UX 11.23 should/must work on HP-UX 11.31 as well. There exist some very large software products which are solely built on 11.23 for Itanium and 11.11 for PA-RISC, but which finally have to run on 11.31. The advantage is that you have to built the software only once. I would even suppose that a gcc depot for 11.31 has the same configure options, but I don't know for sure ...

So, I would finally agree with Steven, please paste some kind of error message/error message so that we could check what's wrong with your configuration. I really doubt that you have a problem with an incorrect version of gcc.

Please use plain text.
Acclaimed Contributor
Dennis Handly
Posts: 24,957
Registered: ‎03-06-2006
Message 9 of 12 (750 Views)

Re: gcc showing 11.23 Instead of 11.31

>Andre-Marcel: But this shouldn't be a problem for you, because all software built on HP-UX 11.23 should/must work on HP-UX 11.31 as well.

(One would think that but this is a foreign devil compiler that highly depends on the system headers.)

So unless gcc can automatically fix its copy of the headers on installation, there would be problems. (I'm assuming it can.)
Please use plain text.
Honored Contributor
Steven Schweda
Posts: 9,084
Registered: ‎02-23-2005
Message 10 of 12 (750 Views)

Re: gcc showing 11.23 Instead of 11.31

> [...] (I'm assuming it can.)

It does when one builds it from source. I
would not bet on an installation from some
pre-built depot doing it. (It's been a long
time since I did a GCC installation from a
depot, so I remember nothing. But you can
bet that when I did install a GCC depot, I
used one which was built on the same HP-UX
version as I was running. (After that, my
first job was building GCC from source.) And
if I ever do upgrade HP-UX, I'll expect to
re-build GCC before I trust it.)
Please use plain text.
Acclaimed Contributor
Dennis Handly
Posts: 24,957
Registered: ‎03-06-2006
Message 11 of 12 (750 Views)

Re: gcc showing 11.23 Instead of 11.31

>Steven: I would not bet on an installation from some pre-built depot doing it.

If not, there is a mkheaders tool in the depot.
Please use plain text.
Valued Contributor
Prashantj
Posts: 136
Registered: ‎03-19-2008
Message 12 of 12 (750 Views)

Re: gcc showing 11.23 Instead of 11.31

Hi All,

i have reconfiure/rebuild and issue has been resolved.

Prashant
Good judgment comes from experience and experience comes from bad judgment.
Please use plain text.
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation